This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 111433 - subscript out of range
subscript out of range
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: webalizer (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-03 12:31 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.01_10-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-08 10:00:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-12-03 12:31:45 EST
Description of problem:
I just tried to compile package webalizer-2.01_10-14 from Fedora.

The compiler said

dns_resolv.c(159): warning #175: subscript out of range

The source code is

         log_rec->hostname[MAXHOST]=0;

Suggest maybe 

         log_rec->hostname[ MAXHOST - 1] = 0;

might be better.


Version-Release number of selected component (if applicable):
webalizer-2.01_10-14 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2004-01-08 10:00:00 EST
Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.